Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyleOptionTitleBar

    java.lang.Object
      com.trolltech.qt.internal.QSignalEmitterInternal
          com.trolltech.qt.QSignalEmitter
              com.trolltech.qt.QtJambiObject
                  com.trolltech.qt.gui.QStyleOption
                      com.trolltech.qt.gui.QStyleOptionComplex
                          com.trolltech.qt.gui.QStyleOptionTitleBar

All Implemented Interfaces:
  QtJambiInterface, java.lang.Cloneable

    public class QStyleOptionTitleBar

extends QStyleOptionComplex
implements java.lang.Cloneable

The QStyleOptionTitleBar class is used to describe the parameters for drawing a title bar. QStyleOptionTitleBar contains all the information that `QStyle` functions need to draw the title bars of `QWorkspace`'s MDI children.

For performance reasons, the access to the member variables is direct (i.e., using the `.` or `->` operator). This low-level feel makes the structures straightforward to use and emphasizes that these are simply parameters used by the style functions.

For an example demonstrating how style options can be used, see the Styles example.

See also:
  `QStyleOption`, `QStyleOptionComplex`, and `QWorkspace`.

Nested Class Summary
`static class` | `QStyleOptionTitleBar.StyleOptionType` This enum is used to hold information about the type of the style option, and is defined for each `QStyleOption` subclass.
`static class` | `QStyleOptionTitleBar.StyleOptionVersion` This enum is used to hold information about the version of the style option, and is defined for each `QStyleOption` subclass.

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QStyleOption
`QStyleOption.OptionType`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Nested classes/interfaces inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`com.trolltech.qt.internal.QSignalEmitterInternal.AbstractSignalInternal`

Field Summary

Fields inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`currentSender`

Constructor Summary
`QStyleOptionTitleBar()` Constructs a QStyleOptionTitleBar, initializing the members variables to their default values.
`QStyleOptionTitleBar(QStyleOptionTitleBar other)` Constructs a copy of the `other` style option.

Method Summary
`QStyleOptionTitleBar` | `clone()` This method is reimplemented for internal reasons
`QIcon` | `icon()` This variable holds the icon for the title bar.
`void` | `setIcon(QIcon icon)` This variable holds the icon for the title bar.
`void` | `setText(java.lang.String text)` This variable holds the text of the title bar.
`void` | `setTitleBarFlags(Qt.WindowFlags titleBarFlags)` This variable holds the widget flags for the title bar.
`void` | `setTitleBarFlags(Qt.WindowType[] titleBarFlags)`
`void` | `setTitleBarState(int titleBarState)` This variable holds the state of the title bar.
`java.lang.String` | `text()` This variable holds the text of the title bar.
`Qt.WindowFlags` | `titleBarFlags()` This variable holds the widget flags for the title bar.
`int` | `titleBarState()` This variable holds the state of the title bar.

Methods inherited from class com.trolltech.qt.gui.QStyleOptionComplex
`activeSubControls, setActiveSubControls, setSubControls, subControls`

Methods inherited from class com.trolltech.qt.gui.QStyleOption
`direction, fontMetrics, initFrom, palette, rect, setDirection, setFontMetrics, setPalette, setRect, setState, setState, setType, setVersion, state, type, version`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`__qt_signalInitialization`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QStyleOptionTitleBar

    public QStyleOptionTitleBar()

  Constructs a QStyleOptionTitleBar, initializing the members variables to their default values.

### QStyleOptionTitleBar

    public QStyleOptionTitleBar(QStyleOptionTitleBar other)

  Constructs a copy of the `other` style option.

Method Detail

### setTitleBarFlags

    public final void setTitleBarFlags(Qt.WindowType[] titleBarFlags)

### setTitleBarFlags

    public final void setTitleBarFlags(Qt.WindowFlags titleBarFlags)

  This variable holds the widget flags for the title bar. The default value is `Qt::Widget` .

See also:
  Qt::WindowFlags.

### titleBarFlags

    public final Qt.WindowFlags titleBarFlags()

  This variable holds the widget flags for the title bar. The default value is `Qt::Widget` .

See also:
  Qt::WindowFlags.

### setIcon

    public final void setIcon(QIcon icon)

  This variable holds the icon for the title bar. The default value is an empty icon, i.e. an icon with neither a pixmap nor a filename.

### icon

    public final QIcon icon()

  This variable holds the icon for the title bar. The default value is an empty icon, i.e. an icon with neither a pixmap nor a filename.

### setText

    public final void setText(java.lang.String text)

  This variable holds the text of the title bar. The default value is an empty string.

### text

    public final java.lang.String text()

  This variable holds the text of the title bar. The default value is an empty string.

### setTitleBarState

    public final void setTitleBarState(int titleBarState)

  This variable holds the state of the title bar. This is basically the window state of the underlying widget. The default value is 0.

See also:
  `QWidget::windowState()`.

### titleBarState

    public final int titleBarState()

  This variable holds the state of the title bar. This is basically the window state of the underlying widget. The default value is 0.

See also:
  `QWidget::windowState()`.

### clone

    public QStyleOptionTitleBar clone()

  This method is reimplemented for internal reasons

  Overrides:
    `clone` in class `QStyleOptionComplex`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD